#include <windows.h>
#include <tchar.h>
#include <stdio.h>


void Usage () {
	printf (
		"Usage: getremotename drive\n"
		"ex. getremotename Q:\n");
}


int main(int argc, char* argv[]) {

	if ( argc != 2 ) {
		Usage ();
		return 0;
	}

	TCHAR szRemoteName [256];
	DWORD dwSize = sizeof ( szRemoteName );
	
	DWORD dwRet = WNetGetConnection (
		argv[1],
		szRemoteName,
		&dwSize );

	if ( NO_ERROR == dwRet ) {
		_tprintf ( TEXT("Local Name:  %s\nRemote Name: %s\n"), argv[1], szRemoteName);
	}
	else {
		_tprintf ( TEXT("ERROR %u\n"), dwRet );
		TCHAR szCommand[256];
		_stprintf (szCommand, TEXT("net helpmsg %u"), dwRet);
		_tsystem ( szCommand );
	}
		
	return 0;
}
